Get API key
curl --request GET \
--url https://api.gcore.com/cloud/v1/faas/keys/{project_id}/{region_id}/{key_name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/faas/keys/{project_id}/{region_id}/{key_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/faas/keys/{project_id}/{region_id}/{key_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-08-22T11:21:00Z",
"functions": [
{
"name": "function-name",
"namespace": "namespace-name"
}
],
"name": "key-name",
"status": "Expired",
"description": "key-description",
"expire": "2023-08-22T11:21:00Z"
}Function as a Service
Get API key
Retrieve detailed information about a specific API key. Includes key permissions and expiration status.
GET
/
cloud
/
v1
/
faas
/
keys
/
{project_id}
/
{region_id}
/
{key_name}
Get API key
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Key name
Pattern:
^[a-z][-a-z0-9]{0,24}[a-z0-9]$Example:
"key-name"
Response
200 - application/json
OK
Key starts to work
Example:
"2023-08-22T11:21:00Z"
List of functions using key
Show child attributes
Show child attributes
Key name
Pattern:
^[a-z][-a-z0-9]{0,24}[a-z0-9]$Example:
"key-name"
Key status
Example:
"Expired"
Optional key description
Example:
"key-description"
Key expires at
Example:
"2023-08-22T11:21:00Z"
Was this page helpful?